#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This file incorporates work covered by the following license notice:
#
#   Licensed to the Apache Software Foundation (ASF) under one or more
#   contributor license agreements. See the NOTICE file distributed
#   with this work for additional information regarding copyright
#   ownership. The ASF licenses this file to you under the Apache
#   License, Version 2.0 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.apache.org/licenses/LICENSE-2.0 .
#
from ..common.HelpIds import HelpIds

HID = 41119 #enter first hid here
HIDMAIN = 41180

class FaxWizardDialogConst:

    OPTBUSINESSFAX_ITEM_CHANGED = "optBusinessFaxItemChanged"
    LSTBUSINESSSTYLE_ACTION_PERFORMED = None
    LSTBUSINESSSTYLE_ITEM_CHANGED = "lstBusinessStyleItemChanged"
    OPTPRIVATEFAX_ITEM_CHANGED = "optPrivateFaxItemChanged"
    LSTPRIVATESTYLE_ACTION_PERFORMED = None
    LSTPRIVATESTYLE_ITEM_CHANGED = "lstPrivateStyleItemChanged"
    CHKUSELOGO_ITEM_CHANGED = "chkUseLogoItemChanged"
    CHKUSEDATE_ITEM_CHANGED = "chkUseDateItemChanged"
    CHKUSECOMMUNICATIONTYPE_ITEM_CHANGED = "chkUseCommunicationItemChanged"
    LSTCOMMUNICATIONTYPE_ACTION_PERFORMED = None
    LSTCOMMUNICATIONTYPE_ITEM_CHANGED = "lstCommunicationItemChanged"
    LSTCOMMUNICATIONTYPE_TEXT_CHANGED = "lstCommunicationItemChanged"
    CHKUSESUBJECT_ITEM_CHANGED = "chkUseSubjectItemChanged"
    CHKUSESALUTATION_ITEM_CHANGED = "chkUseSalutationItemChanged"
    LSTSALUTATION_ACTION_PERFORMED = None
    LSTSALUTATION_ITEM_CHANGED = "lstSalutationItemChanged"
    LSTSALUTATION_TEXT_CHANGED = "lstSalutationItemChanged"
    CHKUSEGREETING_ITEM_CHANGED = "chkUseGreetingItemChanged"
    LSTGREETING_ACTION_PERFORMED = None
    LSTGREETING_ITEM_CHANGED = "lstGreetingItemChanged"
    LSTGREETING_TEXT_CHANGED = "lstGreetingItemChanged"
    CHKUSEFOOTER_ITEM_CHANGED = "chkUseFooterItemChanged"
    OPTSENDERPLACEHOLDER_ITEM_CHANGED = "optSenderPlaceholderItemChanged"
    OPTSENDERDEFINE_ITEM_CHANGED = "optSenderDefineItemChanged"
    TXTSENDERNAME_TEXT_CHANGED = "txtSenderNameTextChanged"
    TXTSENDERSTREET_TEXT_CHANGED = "txtSenderStreetTextChanged"
    TXTSENDERPOSTCODE_TEXT_CHANGED = "txtSenderPostCodeTextChanged"
    TXTSENDERSTATE_TEXT_CHANGED = "txtSenderStateTextChanged"
    TXTSENDERCITY_TEXT_CHANGED = "txtSenderCityTextChanged"
    TXTSENDERFAX_TEXT_CHANGED = "txtSenderFaxTextChanged"
    OPTRECEIVERPLACEHOLDER_ITEM_CHANGED = "optReceiverPlaceholderItemChanged"
    OPTRECEIVERDATABASE_ITEM_CHANGED = "optReceiverDatabaseItemChanged"
    TXTFOOTER_TEXT_CHANGED = "txtFooterTextChanged"
    CHKFOOTERNEXTPAGES_ITEM_CHANGED = "chkFooterNextPagesItemChanged"
    CHKFOOTERPAGENUMBERS_ITEM_CHANGED = "chkFooterPageNumbersItemChanged"
    TXTTEMPLATENAME_TEXT_CHANGED = "txtTemplateNameTextChanged"
    FILETEMPLATEPATH_TEXT_CHANGED = None
    OPTCREATEFAX_ITEM_CHANGED = "optCreateFromTemplateItemChanged"
    OPTMAKECHANGES_ITEM_CHANGED = "optMakeChangesItemChanged"

    #Help IDs

    OPTBUSINESSFAX_HID = HelpIds.getHelpIdString(HID + 1)
    LSTBUSINESSSTYLE_HID = HelpIds.getHelpIdString(HID + 2)
    OPTPRIVATEFAX_HID = HelpIds.getHelpIdString(HID + 3)
    LSTPRIVATESTYLE_HID = HelpIds.getHelpIdString(HID + 4)
    IMAGECONTROL3_HID = HelpIds.getHelpIdString(HID + 5)
    CHKUSELOGO_HID = HelpIds.getHelpIdString(HID + 6)
    CHKUSEDATE_HID = HelpIds.getHelpIdString(HID + 7)
    CHKUSECOMMUNICATIONTYPE_HID = HelpIds.getHelpIdString(HID + 8)
    LSTCOMMUNICATIONTYPE_HID = HelpIds.getHelpIdString(HID + 9)
    CHKUSESUBJECT_HID = HelpIds.getHelpIdString(HID + 10)
    CHKUSESALUTATION_HID = HelpIds.getHelpIdString(HID + 11)
    LSTSALUTATION_HID = HelpIds.getHelpIdString(HID + 12)
    CHKUSEGREETING_HID = HelpIds.getHelpIdString(HID + 13)
    LSTGREETING_HID = HelpIds.getHelpIdString(HID + 14)
    CHKUSEFOOTER_HID = HelpIds.getHelpIdString(HID + 15)
    OPTSENDERPLACEHOLDER_HID = HelpIds.getHelpIdString(HID + 16)
    OPTSENDERDEFINE_HID = HelpIds.getHelpIdString(HID + 17)
    TXTSENDERNAME_HID = HelpIds.getHelpIdString(HID + 18)
    TXTSENDERSTREET_HID = HelpIds.getHelpIdString(HID + 19)
    TXTSENDERPOSTCODE_HID = HelpIds.getHelpIdString(HID + 20)
    TXTSENDERSTATE_HID = HelpIds.getHelpIdString(HID + 21)
    TXTSENDERCITY_HID = HelpIds.getHelpIdString(HID + 22)
    TXTSENDERFAX_HID = HelpIds.getHelpIdString(HID + 23)
    OPTRECEIVERPLACEHOLDER_HID = HelpIds.getHelpIdString(HID + 24)
    OPTRECEIVERDATABASE_HID = HelpIds.getHelpIdString(HID + 25)
    TXTFOOTER_HID = HelpIds.getHelpIdString(HID + 26)
    CHKFOOTERNEXTPAGES_HID = HelpIds.getHelpIdString(HID + 27)
    CHKFOOTERPAGENUMBERS_HID = HelpIds.getHelpIdString(HID + 28)
    TXTTEMPLATENAME_HID = HelpIds.getHelpIdString(HID + 29)
    FILETEMPLATEPATH_HID = HelpIds.getHelpIdString(HID + 30)
    OPTCREATEFAX_HID = HelpIds.getHelpIdString(HID + 31)
    OPTMAKECHANGES_HID = HelpIds.getHelpIdString(HID + 32)
    IMAGECONTROL2_HID = HelpIds.getHelpIdString(HID + 33)
